Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.property.servlets.jsp.taglib
Class GetPropertyNamesExtraInfo

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagExtraInfo
            |
            +--com.bea.p13n.property.servlets.jsp.taglib.ResultTagExtraInfo
                  |
                  +--com.bea.p13n.property.servlets.jsp.taglib.GetPropertyNamesExtraInfo

public class GetPropertyNamesExtraInfo
extends ResultTagExtraInfo

ExtraInfo class for <ps:getPropertyNames> tag. Defines variables for the result of the property search.

Constructor Summary
`GetPropertyNamesExtraInfo()`

Method Summary
`javax.servlet.jsp.tagext.VariableInfo[]` | `getVariableInfo(javax.servlet.jsp.tagext.TagData data)` Set a variable named by the 'id' attribute, and the search result if a result attribute was provided.

Methods inherited from class com.bea.p13n.property.servlets.jsp.taglib.ResultTagExtraInfo
`createResultInfo`

Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo
`getTagInfo, isValid, setTagInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetPropertyNamesExtraInfo

    public GetPropertyNamesExtraInfo()

Method Detail

### getVariableInfo

    public javax.servlet.jsp.tagext.VariableInfo[] getVariableInfo(javax.servlet.jsp.tagext.TagData data)

  Set a variable named by the 'id' attribute, and the search result if a result attribute was provided.

  Overrides:
    getVariableInfo in class ResultTagExtraInfo

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved